/*
Copyright (C) 2001 Chao-Kuo Lin

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

#ifndef _CK_LOGGER_H_
#define _CK_LOGGER_H_

#include <memory>
#include <string>

using namespace std;
//
// ckLogger
//

class ckLogger
{
public:
    static ckLogger *instance();
    virtual ~ckLogger() {}

    virtual void log(ckError code, string const &message) = 0;
    
protected:
    static auto_ptr<ckLogger> _instance;
};

#endif