/*
Copyright (C) 2001 Chao-Kuo Lin

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

#ifndef _CK_ERROR_H_
#define _CK_ERROR_H_


//
// ckError  
//

// need to improve on error code and handling

enum ckError  
{
	SUCCESS                 = 0,
    FAIL                    = 1,
	NEW_INSIDE_NEW          = 2,
	NEW_MISMATCHED          = 3,
	NEWCONTROL_MISMATCHED   = 4,
	ATTRIBUTE_OUTSIDE_NEW   = 5,
    ATTRIBUTE_VALUE_INVALID = 6,
	INVALID_ATTRIBUTE       = 7,
	SYNTAX_ERROR            = 8,
    INVALID_ACTION          = 9,
    NOT_SUPPORTED           = 10,
    INVALID_VALUE           = 11,
    INVALID_ARGUMENT        = 12,
    DUPLICATE_DEFINITION    = 13,
    VARIABLE_MISMATCHED     = 14
};
#endif